# Get bank payment methods

`GET https://api.strike.me/v1/payment-methods/bank`

Source: https://docs.strike.me/api/get-bank-payment-methods/

---

Required scopes:

- partner.payment-method.bank.read

## Query parameters

- `$skip` (int32): Skip the specified number of entries.
- `$top` (int32): Get the top X number of records. Max value: 100.
- `$supportedAction` (string): Filter by supported action. One of `DEPOSIT`, `WITHDRAWAL`.

## Responses

### 200 OK

`application/json`

- `items` (object[], required): The page items.
  - `id` (uuid, required): Id of the payment method.
  - `state` (string, required): The current state of the bank payment method. One of `PENDING`, `READY`, `SUSPENDED`, `INVALID`, `INACTIVE`.
  - `supportedActions` (string[], required): The actions supported for the bank payment method.
  - `created` (date-time, required): The date and time when the bank payment method was created.
  - `transferType` (string, required): The type of bank transfer which can be done with the payment method. One of `ACH`, `US_DOMESTIC_WIRE`, `SEPA`, `FPS`, `BSB`.
  - `accountNumber` (string, required): Bank account's account number. For SEPA transfers, this is the IBAN.
  - `routingNumber` (string, required): Bank account's routing number. For SEPA transfers, this is the BIC. For FPS transfers, this is the sort code. For BSB transfers, this is the BSB code.
  - `referenceCode` (string): Reference code to identify the payment method. Can be set only for methods that support deposit. When set should be used as a reference when making a deposit.
  - `accountType` (string): The type of the bank account. One of `CHECKING`, `SAVINGS`.
  - `bankName` (string): The name of the bank which holds the account.
  - `bankAddress` (object): The address of the bank which holds the account.
    - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
    - `state` (string): State code based on the country.
    - `city` (string, required): The name of the city or town.
    - `postCode` (string, required): The postal code or ZIP code for the address.
    - `line1` (string, required): The street address.
  - `currency` (string, required): Bank account currency. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `beneficiaries` (array, required): Bank account beneficiaries. Has at least one beneficiary.
    - Option 1: `type` = `INDIVIDUAL`
      - `dateOfBirth` (date): Date of birth of the individual.
      - `type` (string, required): Type of the beneficiary. One of `INDIVIDUAL`, `COMPANY`.
      - `name` (string, required): Name of the beneficiary.
      - `address` (object): Address of the beneficiary.
        - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
        - `state` (string): State code based on the country.
        - `city` (string, required): The name of the city or town.
        - `postCode` (string, required): The postal code or ZIP code for the address.
        - `line1` (string, required): The street address.
    - Option 2: `type` = `COMPANY`
      - `email` (string): Email address of the company.
      - `phoneNumber` (string): Phone number of the company.
      - `url` (string): URL of the company's website.
      - `type` (string, required): Type of the beneficiary. One of `INDIVIDUAL`, `COMPANY`.
      - `name` (string, required): Name of the beneficiary.
      - `address` (object): Address of the beneficiary.
        - `country` (string, required): ISO 3166-1 alpha-2 code for the country.
        - `state` (string): State code based on the country.
        - `city` (string, required): The name of the city or town.
        - `postCode` (string, required): The postal code or ZIP code for the address.
        - `line1` (string, required): The street address.
- `count` (int64, required): Total number of records. When IsCountUnknown is true, this value should be ignored.
- `isCountUnknown` (boolean, required): Indicates whether the total count is unknown or could not be determined. When true, the Count property should be ignored.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
